%define name	libexif
%define version	0.6.16
%define subrel	1
%define release	%mkrel 2

%define libname		%mklibname exif 12
%define develname	%mklibname exif -d
%define langname	libexif-12

Summary:	Library to access EXIF files (extended JPEG files)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2.1
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/
Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.bz2
Patch0:		libexif-0.6.13-pkgconfig-fix.patch
Patch1:		libexif-0.6.13-CVE-2007-6351.patch
Patch2:		libexif-0.6.13-CVE-2007-6352.patch
Provides:	libexif
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	doxygen

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{libname}
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif
Group:		Graphics

%description -n %{libname}

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{develname}
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname exif 12 -d}
Group:		Development/C

%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q
%patch0 -p2 -b .includedir
%patch1 -p1 -b .cve-2007-6351
%patch2 -p1 -b .cve-2007-6352

# Fix broken libexif/exif-utils.c
perl -p -i -e 's:^(\s*)static\s*(ExifSShort):$1$2:' libexif/exif-utils.c

##### BUILD #####

%build
autoconf

%configure2_5x
%make

##### INSTALL #####

%install
rm -rf %buildroot
%makeinstall
%find_lang %{langname}

##### PRE/POST INSTALL SCRIPTS #####

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %buildroot

##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libexif
%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

##### libexif-devel
%files -n %{develname} -f %{langname}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_docdir}/libexif


%changelog
* Wed Jan 09 2008 Vincent Danen <vdanen@mandriva.com> 0.6.16-2.1mdv2008.0
- P1: security fix for CVE-2007-6351
- P2: security fix for CVE-2007-6352

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.16-2mdv2008.0
+ Revision: 57206
- fix files - move all non-library files to the -devel package (#31077)
- new devel policy
- specify license LGPLv2.1
- spec clean

* Thu Jun 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.16-1mdv2008.0
+ Revision: 42327
- New upstream: 0.6.16

* Wed May 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.14-1mdv2008.0
+ Revision: 27432
- New upstream: 0.6.14
- Use -p switch for post scripts that only runs ldconfig
- Specfile cleanup
- Improved i18n handling.


* Mon Jan 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.13-4mdv2007.0
+ Revision: 109120
- Fixed devel group. Closes: #28141

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.13-3mdv2007.1
+ Revision: 63431
- fix the spec file
- bunzip patches
- Import libexif

* Mon Jun 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.13-2
- patch0: fix include dir in pkgconfig file

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 0.6.13-1mdk
- Updated to version 0.6.12.
- Removed patch 1 (merged upstream).
- Added API documentation to -devel package.
- Introduced %%{1}mdv2007.1.

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.12-3mdk
- Rebuild

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.6.12-2mdk
- try to fix gimp crashes (bug #16618)
- configure 2.5

* Tue Jun 28 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.12-1mdk
- Updated to version 0.6.12.
- Removed Patch0 (merged upstream).

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.11-2mdk
- SECURITY FIX: Fixed MDKSA-2005:064 (bug 15139).

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.11-1mdk
- Updated to version 0.6.11.

